unit uIEditorEmpresa;

interface

uses
  uEditorDBItem, uBizEmpresas, uEmpresasController;

type
  IEditorEmpresa = interface(IEditorDBItem)
    ['{88FA3FF3-ACDC-4BCC-ADCE-6BA890E55220}']
    function GetController : IEmpresasController;
    procedure SetController (const Value : IEmpresasController);
    property Controller : IEmpresasController read GetController
      write SetController;

    function GetEmpresa: IBizEmpresa;
    procedure SetEmpresa(const Value: IBizEmpresa);
    property Empresa: IBizEmpresa read GetEmpresa write SetEmpresa;
  end;

implementation

end.
